#!/bin/sh

# Get ENVs from secrets
export SECRET_KEY=$(cat $SECRET_KEY_FILE)
export TG_BOT_TOKEN=$(cat $TG_BOT_TOKEN_FILE)
export EMAIL_PASSWD=$(cat $EMAIL_PASSWD_FILE)
export DB_USER=$(cat $DB_USER_FILE)
export DB_PASSWD=$(cat $DB_PASSWD_FILE)

# Collect static files
echo "Collect static files"
python manage.py collectstatic --noinput

# Apply database migrations
echo "Apply database migrations"
python manage.py migrate

# Start server
echo "Django running on http://localhost:8000 in production mode"
gunicorn -w 4 -b 0.0.0.0:8000 sikweb.wsgi